VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "TC-08 Visual Basic demo"
   ClientHeight    =   2820
   ClientLeft      =   9285
   ClientTop       =   5760
   ClientWidth     =   5880
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   2820
   ScaleWidth      =   5880
   Begin VB.TextBox txtChannel2 
      Height          =   285
      Left            =   1680
      TabIndex        =   7
      Top             =   1320
      Width           =   1095
   End
   Begin VB.TextBox txtComments 
      Height          =   615
      Left            =   480
      MultiLine       =   -1  'True
      TabIndex        =   6
      Top             =   1920
      Width           =   3135
   End
   Begin VB.TextBox txtChannel1 
      Height          =   285
      Left            =   1680
      TabIndex        =   3
      Top             =   840
      Width           =   1095
   End
   Begin VB.Timer Timer1 
      Interval        =   1000
      Left            =   3000
      Top             =   360
   End
   Begin VB.CommandButton Close 
      Caption         =   "Close"
      Height          =   735
      Left            =   3840
      TabIndex        =   2
      Top             =   1800
      Width           =   1575
   End
   Begin VB.TextBox txtCJC 
      Height          =   285
      Left            =   1680
      TabIndex        =   1
      Top             =   360
      Width           =   1095
   End
   Begin VB.CommandButton Open 
      Caption         =   "Open"
      Height          =   735
      Left            =   3840
      TabIndex        =   0
      Top             =   600
      Width           =   1575
   End
   Begin VB.Label Label3 
      Caption         =   "Channel 2"
      Height          =   255
      Left            =   240
      TabIndex        =   8
      Top             =   1320
      Width           =   975
   End
   Begin VB.Label Label2 
      Caption         =   "Channel 1"
      Height          =   255
      Left            =   240
      TabIndex        =   5
      Top             =   840
      Width           =   975
   End
   Begin VB.Label Label1 
      Caption         =   "CJC (channel 0)"
      Height          =   255
      Left            =   240
      TabIndex        =   4
      Top             =   360
      Width           =   1335
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Dim tc08_handle As Integer
Dim in_timer As Integer



Private Sub Close_Click()
  If (tc08_handle > 0) Then
    usb_tc08_close_unit (tc08_handle)
    tc_08 = 0
    txtComments.Text = "TC-08 closed"
  End If
End Sub







Private Sub Open_Click()
  Dim ok As Integer
  Dim usbtc08Info As USBTC08_INFO
    
  If (tc08_handle < 1) Then
    txtComments.Text = "Opening TC-08"
    txtComments.Refresh
    tc08_handle = usb_tc08_open_unit()
    If (tc08_handle > 0) Then
      usbtc08Info.size = 30
      ok = usb_tc08_get_unit_info(tc08_handle, usbtc08Info)
      txtComments.Text = "USBTC-08 Opened                                  " + "Serial: " + usbtc08Info.szSerial
      
      Call usb_tc08_set_mains(tc08_handle, True)
      ok = usb_tc08_set_channel(tc08_handle, 0, Asc("K"))
      ok = usb_tc08_set_channel(tc08_handle, 1, Asc("K"))
      ok = usb_tc08_set_channel(tc08_handle, 2, Asc("K"))
    Else
      If (tc08_handle = 0) Then
        txtComments.Text = "Unable to open TC-08"
      Else
        txtComments.Text = "Error Code: " & usb_tc08_get_last_error(0)
      End If
    End If
  End If
  
End Sub


Private Sub Timer1_Timer()
  ReDim temp_buffer(9) As Single
  Dim flag As Integer

  If (tc08_handle > 0) Then
    If (Not in_timer) Then
      in_timer = True
      
      ok = usb_tc08_get_single(tc08_handle, temp_buffer(0), overflow_flag, 0)
      
      If (ok) Then
        txtCJC.Text = temp_buffer(0)
        txtChannel1.Text = temp_buffer(1)
        txtChannel2.Text = temp_buffer(2)
      End If
      in_timer = False
    End If
  End If
End Sub
