Attribute VB_Name = "Module1"
Type USBTC08_INFO
  size As Integer
  DriverVersion As Integer
  PicoPPVersion As Integer
  HarwareVersion As Integer
  Model As Integer
  szSerial As String * 11
  szCalDate As String * 9
End Type

Declare Function usb_tc08_set_channel Lib "c:\usbtc08.dll" (ByVal handle As Integer, ByVal channel As Integer, ByVal tc_type As Byte) As Integer

Declare Function usb_tc08_run Lib "c:\usbtc08.dll" (ByVal handle As Integer, ByVal interval_ms As Long) As Long

Declare Function usb_tc08_get_temp Lib "c:\usbtc08.dll" (ByVal handle As Integer, ByRef temp_buffer As Single, ByRef times_ms_buffer As Long, ByVal buffer_length As Long, ByRef overflow, ByVal channel As Integer, units As Integer, ByVal fill_missing As Integer) As Long

Declare Function usb_tc08_get_temp_deskew Lib "c:\usbtc08.dll" (ByVal handle As Integer, ByRef temp_buffer As Single, ByRef times_ms_buffer As Long, ByVal buffer_length As Long, ByRef overflow, ByVal channel As Integer, ByVal units As Integer, ByVal fill_missing As Integer) As Long
Declare Function usb_tc08_get_single Lib "c:\usbtc08.dll" (ByVal handle As Integer, ByRef temp As Single, ByRef overflow_flags, ByVal units As Integer) As Long

'==========================================================================
'    Shared API Calls

'    These functions are designed for use with the USB TC08,
'    however, they can (and should) still be used with the legacy API calls
'===========================================================================*/

Declare Function usb_tc08_open_unit Lib "c:\usbtc08.dll" () As Integer

Declare Function usb_tc08_close_unit Lib "c:\usbtc08.dll" (ByVal handle As Integer) As Integer

Declare Function usb_tc08_stop Lib "c:\usbtc08.dll" (ByVal handle As Integer) As Integer

Declare Function usb_tc08_set_mains Lib "c:\usbtc08.dll" (ByVal handle As Integer, ByVal sixty_hertz As Integer) As Integer

Declare Function usb_tc08_get_minimum_interval_ms Lib "c:\usbtc08.dll" (ByVal handle As Integer) As Long

Declare Function usb_tc08_get_formatted_info Lib "c:\usbtc08.dll" (ByVal handle As Integer, ByRef unit_info As String, ByVal string_length As Integer) As Integer

Declare Function usb_tc08_get_unit_info Lib "c:\usbtc08.dll" (ByVal handle As Integer, ByRef usbtc08Info As USBTC08_INFO) As Integer

Declare Function usb_tc08_get_last_error Lib "c:\usbtc08.dll" (ByVal handle As Integer) As Integer


'====================================================================
'    Legacy API Calls

'    Provided to aid backwards compatibility with code written
'    for old TC08 Units (differences exist).

'    These functions should not be used in new code and are
'    deprecated for removal in a future version of the driver.
'=====================================================================

Declare Function usb_tc08_legacy_run Lib "c:\usbtc08.dll" (ByVal handle As Integer) As Integer

Declare Function usb_tc08_legacy_set_channel Lib "c:\usbtc08.dll" (ByVal handle As Integer, ByVal channel As Integer, ByVal tc_type As Integer, ByVal filter_factor As Integer, ByVal offset As Integer, ByVal slope As Integer)

Declare Function usb_tc08_legacy_get_temp Lib "c:\usbtc08.dll" (ByVal handle As Integer, ByRef temp As Long, ByVal channel As Integer, ByVal filtered As Integer) As Integer

Declare Function usb_tc08_legacy_get_cold_junction Lib "c:\usbtc08.dll" (ByVal handle As Integer, ByRef temp As Long) As Integer
 
Declare Function usb_tc08_legacy_get_driver_version Lib "c:\usbtc08.dll" () As Integer

Declare Function usb_tc08_legacy_get_version Lib "c:\usbtc08.dll" (ByVal handle As Integer, ByRef version As Integer) As Integer

Declare Function usb_tc08_legacy_get_cycle Lib "c:\usbtc08.dll" (ByRef cycle As Long, ByVal handle As Integer) As Integer